# Copyright (c) 2019 OpenStack Foundation
# All rights reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from neutron_lib.api.definitions import l3_conntrack_helper
from neutron_lib.tests.unit.api.definitions import base


class ConntrackHelperDefinitionTestCase(base.DefinitionBaseTestCase):
    extension_module = l3_conntrack_helper
    extension_resources = (l3_conntrack_helper.PARENT_COLLECTION_NAME,)
    extension_attributes = (l3_conntrack_helper.ID,
                            l3_conntrack_helper.PROTOCOL,
                            l3_conntrack_helper.PORT,
                            l3_conntrack_helper.HELPER,
                            l3_conntrack_helper.PROJECT_ID)
    extension_subresources = (l3_conntrack_helper.COLLECTION_NAME,)
